require "import"
import "android.widget.*"
import "android.view.*"
import "com.androlua.*"
import "java.util.ArrayList"
import "android.text.*"

-- Define the titles and the corresponding component names for your activities.
local titles = {
[[-- مساعد الإعداد.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.SetupActivity"))  this.startActivity(i)  end]],
[[-- الإعدادات.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.android.talkback.TalkBackPreferencesActivity"))  this.startActivity(i)  end]],
[[-- الإعدادات العامة.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GeneralSetting"))  this.startActivity(i)  end]],
[[-- إعدادات تحويل النص الى كلام.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceSetting"))  this.startActivity(i)  end]],
[[-- إعدادات ردود الفعل.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.FeedBackSetting"))  this.startActivity(i)  end]],
[[-- إعدادات الاجراءات.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ActionSetting"))  this.startActivity(i)  end]],
[[-- إعدادات نطق المحتوى. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ContentSetting")) this.startActivity(i) end]],
[[-- إعدادات الاشعارات.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.NotificationSetting"))  this.startActivity(i)  end]],
[[-- الإعدادات المتقدمة.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.AdvancedSetting"))  this.startActivity(i)  end]],
[[-- الاضافات.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.PluginActivity"))  this.startActivity(i)  end]],
[[-- الادوات.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.ToolActivity"))  this.startActivity(i)  end]],
[[-- تنزيل الموارد.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.DownloadActivity"))  this.startActivity(i)  end]],
[[-- مركز المستخدم.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.UserSetting"))  this.startActivity(i)  end]],
[[-- المساعدة والتعليقات.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HelpFeedSetting"))  this.startActivity(i)  end]],
[[-- تخصيص محرك النظام.
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.SystemTtsSetting"))  this.startActivity(i)  end]],
[[-- تخصيص المحرك الاساسي. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.MainTtsSetting")) this.startActivity(i) end]],
[[-- تخصيص المحرك الثانوي. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.AsyncTtsSetting")) this.startActivity(i) end]],
[[-- تخصيص محرك الساعة والمؤقت.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerTtsSetting"))  this.startActivity(i)  end]],
[[-- إعدادات حزمة النغمات المخصصة.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.SoundSetting"))  this.startActivity(i)  end]],
[[-- إدارة حزم النغمات. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.SoundManager")) this.startActivity(i) end]],
[[-- إعدادات مخطط مخصص.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureSetting"))  this.startActivity(i)  end]],
[[-- إدارة وظائف المخطط المخصص. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureFileManager")) this.startActivity(i) end]],
[[-- تنزيل الوظائف الخاصة بمخطط مخصص.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureFileShare"))  this.startActivity(i)  end]],
[[-- إدارة مخططات الاماءات.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureManager"))  this.startActivity(i)  end]],
[[-- إدارة الاوامر الصوتية.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceCmdManager"))  this.startActivity(i)  end]],
[[-- إدارة الاوامر الصوتية الفائقة.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceSupperCmdManager"))  this.startActivity(i)  end]],
[[-- تنزيل الاوامر الصوتية.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceCmdShare"))  this.startActivity(i)  end]],
[[-- تخصيص ازرار الصوت لكل تطبيق. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HotKeyShortcutSetting")) this.startActivity(i) end]],
[[-- إعدادات المخطط المخصص للوحة المفاتيح الخارجية.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HotKeySetting"))  this.startActivity(i)  end]],
[[-- إدارة مخططات لوحة المفاتيح الخارجية.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HotKeyManager"))  this.startActivity(i)  end]],
[[-- إعدادات المساعد الصوتي والترجمة.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceHelperSetting"))  this.startActivity(i)  end]],
[[-- إعدادات الساعة والمؤقت.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerSetting"))  this.startActivity(i)  end]],
[[-- إدارة الموارد. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ImportActivity")) this.startActivity(i) end]],
[[-- إدارة الموارد. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ManagerActivity")) this.startActivity(i) end]],
[[-- إدارة التصنيفات. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.LabelSetting")) this.startActivity(i) end]],
[[-- إدارة المؤقت.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerManager"))  this.startActivity(i)  end]],
[[-- إعدادات اللغة.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.LanguageSetting"))  this.startActivity(i)  end]],
[[-- حساب جديد. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.RegActivity")) this.startActivity(i) end]],
[[-- تسجيل الدخول. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.LoginActivity")) this.startActivity(i) end]],
[[-- تفعيل التطبيق.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ActivatedActivity"))  this.startActivity(i)  end]],
[[-- تغيير كلمة المرور.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.RePasswordActivity"))  this.startActivity(i)  end]],
[[-- الالبوم. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.AlbumActivity")) this.startActivity(i) end]],
[[-- القاموس.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.JSONSetting"))  this.startActivity(i)  end]],
[[-- المتصفح. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.WebActivity")) this.startActivity(i) end]],
[[-- المساعد الصوتي. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.VoiceHelperActivity")) this.startActivity(i) end]],
[[-- كاميرا. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.CameraActivity")) this.startActivity(i) end]],
[[-- كاميرا vr.  
require 'import' import "android.content.*" i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.CameraActivity2"))  this.startActivity(i)  end]],
[[-- حفظ الملاحظات على الخادم. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.CloudNote")) this.startActivity(i) end]],
[[-- جدولة المهام. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerRun")) this.startActivity(i) end]],
[[-- المحرر. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.androlua.LuaEditActivity")) this.startActivity(i) end]],
[[-- وضع القراءة. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.ReaderActivity")) this.startActivity(i) end]],
[[-- تحميل النسخ المستقرة. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GithubActivity")) this.startActivity(i) end]],
[[-- شاشة المساعدة. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.HelpActivity")) this.startActivity(i) end]],
[[-- شرح المساعد الصوتي. 
require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.VoiceHelperHelpActivity")) this.startActivity(i) end]],
}

local functions = {{{"%farouq1"}}, {{"%farouq2"}}, {{"%farouq3"}}, {{"%farouq4"}}, {{"%farouq5"}}, {{"%farouq6"}}, {{"%farouq7"}}, {{"%farouq8"}}, {{"%farouq9"}}, {{"%farouq10"}}, {{"%farouq11"}}, {{"%farouq12"}}, {{"%farouq13"}}, {{"%farouq14"}}, {{"%farouq15"}}, {{"%farouq16"}}, {{"%farouq17"}}, {{"%farouq18"}}, {{"%farouq19"}}, {{"%farouq20"}}, {{"%farouq21"}}, {{"%farouq22"}}, {{"%farouq23"}}, {{"%farouq24"}}, {{"%farouq25"}}, {{"%farouq26"}}, {{"%farouq27"}}, {{"%farouq28"}}, {{"%farouq29"}}, {{"%farouq30"}}, {{"%farouq31"}}, {{"%farouq32"}}, {{"%farouq33"}}, {{"%farouq34"}}, {{"%farouq35"}}, {{"%farouq36"}}, {{"%farouq37"}}, {{"%farouq38"}}, {{"%farouq39"}}, {{"%farouq40"}}, {{"%farouq41"}}, {{"%farouq42"}}, {{"%farouq43"}}, {{"%farouq44"}}, {{"%farouq45"}}, {{"%farouq46"}}, {{"%farouq47"}}, {{"%farouq48"}}, {{"%farouq49"}}, {{"%farouq50"}}, {{"%farouq51"}}, {{"%farouq52"}}, {{"%farouq53"}}, {{"%farouq54"}}, }


function farouq1() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.SetupActivity"))  this.startActivity(i)  end
function farouq2() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.android.talkback.TalkBackPreferencesActivity"))  this.startActivity(i)  end
function farouq3() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GeneralSetting"))  this.startActivity(i)  end
function farouq4() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceSetting"))  this.startActivity(i)  end
function farouq5() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.FeedBackSetting"))  this.startActivity(i)  end
function farouq6() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ActionSetting"))  this.startActivity(i)  end
function farouq7() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ContentSetting")) this.startActivity(i) end
function farouq8() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.NotificationSetting"))  this.startActivity(i)  end
function farouq9() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.AdvancedSetting"))  this.startActivity(i)  end
function farouq10() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.PluginActivity"))  this.startActivity(i)  end
function farouq11() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.ToolActivity"))  this.startActivity(i)  end
function farouq12() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.DownloadActivity"))  this.startActivity(i)  end
function farouq13() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.UserSetting"))  this.startActivity(i)  end
function farouq14() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HelpFeedSetting"))  this.startActivity(i)  end
function farouq15() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.SystemTtsSetting"))  this.startActivity(i)  end
function farouq16() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.MainTtsSetting")) this.startActivity(i) end
function farouq17() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.AsyncTtsSetting")) this.startActivity(i) end
function farouq18() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerTtsSetting"))  this.startActivity(i)  end
function farouq19() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.SoundSetting"))  this.startActivity(i)  end
function farouq20() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.SoundManager")) this.startActivity(i) end
function farouq21() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureSetting"))  this.startActivity(i)  end
function farouq22() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureFileManager")) this.startActivity(i) end
function farouq23() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureFileShare"))  this.startActivity(i)  end
function farouq24() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GestureManager"))  this.startActivity(i)  end
function farouq25() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceCmdManager"))  this.startActivity(i)  end
function farouq26() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceSupperCmdManager"))  this.startActivity(i)  end
function farouq27() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceCmdShare"))  this.startActivity(i)  end
function farouq28() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HotKeyShortcutSetting")) this.startActivity(i) end
function farouq29() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HotKeySetting"))  this.startActivity(i)  end
function farouq30() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.HotKeyManager"))  this.startActivity(i)  end
function farouq31() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.VoiceHelperSetting"))  this.startActivity(i)  end
function farouq32() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerSetting"))  this.startActivity(i)  end
function farouq33() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ImportActivity")) this.startActivity(i) end
function farouq34() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ManagerActivity")) this.startActivity(i) end
function farouq35() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.LabelSetting")) this.startActivity(i) end
function farouq36() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerManager"))  this.startActivity(i)  end
function farouq37() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.LanguageSetting"))  this.startActivity(i)  end
function farouq38() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.RegActivity")) this.startActivity(i) end
function farouq39() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.LoginActivity")) this.startActivity(i) end
function farouq40() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.ActivatedActivity"))  this.startActivity(i)  end
function farouq41() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.RePasswordActivity"))  this.startActivity(i)  end
function farouq42() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.AlbumActivity")) this.startActivity(i) end
function farouq43() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.JSONSetting"))  this.startActivity(i)  end
function farouq44() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.WebActivity")) this.startActivity(i) end
function farouq45() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.VoiceHelperActivity")) this.startActivity(i) end
function farouq46() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.CameraActivity")) this.startActivity(i) end
function farouq47() require 'import'  import "android.content.*"  i= Intent()  .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.CameraActivity2"))  this.startActivity(i)  end
function farouq48() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.CloudNote")) this.startActivity(i) end
function farouq49() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.TimerRun")) this.startActivity(i) end
function farouq50() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.androlua.LuaEditActivity")) this.startActivity(i) end
function farouq51() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.ReaderActivity")) this.startActivity(i) end
function farouq52() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.settings.GithubActivity")) this.startActivity(i) end
function farouq53() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.HelpActivity")) this.startActivity(i) end
function farouq54() require 'import' import "android.content.*" i= Intent() .setComponent(ComponentName( "com.nirenr.talkman", "com.nirenr.talkman.VoiceHelperHelpActivity")) this.startActivity(i) end


-- Define the layout with EditText and ListView
local layout = {
  LinearLayout,
  orientation="vertical",
  {
    EditText,
    id="search",
    layout_width="match_parent",
    hint="search here...",
    inputType="text",
textSize="50sp",
background="#ff600000",
  },
  {
    ListView,
    id="list",
background="#ff000000",
    layout_width="match_parent",
    layout_height="wrap_content",
  },
}

-- Create the dialog and set the layout
local dlg = LuaDialog(service)
.setTitle("Activity Jieshuo")
.setView(loadlayout(layout))

-- Set the adapter for the ListView
local adapter = ArrayAdapter(service, android.R.layout.simple_list_item_1, titles)
list.setAdapter(adapter)

-- Function to update the list based on the search query
function updateList(query)
  local filteredTitles = {}
  local filteredFunctions = {}
  for i, title in ipairs(titles) do
    if title:lower():find(query:lower()) then
      table.insert(filteredTitles, title)
      table.insert(filteredFunctions, functions[i])
    end
  end
  adapter.clear()
  for _, title in ipairs(filteredTitles) do
    adapter.add(title)
  end
  adapter.notifyDataSetChanged()
  return filteredFunctions
end

local filteredFunctions = functions

-- Add a TextWatcher to the search EditText to filter in real-time
search.addTextChangedListener(TextWatcher{
  onTextChanged=function(s, start, before, count)
    filteredFunctions = updateList(tostring(s))
  end,
  beforeTextChanged=function(s, start, count, after) end,
  afterTextChanged=function(s) end
})

-- Set the onItemClick and onItemLongClick listeners for the list
list.onItemClick=function(l,v,p,i)
  dlg.hide()
  task(10,function()
service.paste(titles[p+1])
    return true
  end)
end

list.onItemLongClick=function(l,v,p,i)
  dlg.hide()
  task(10,function()
service.click(functions[p+1])
    service.vibrate(true)
    return true
  end)
end

-- Show the dialog
dlg.show()